ViewVC Help
View File | Revision Log | Show Annotations | Download File | View Changeset | Root Listing
root/mports/trunk/Makefile
Revision: 2697
Committed: Thu Sep 20 02:53:38 2007 UTC (16 years, 8 months ago) by laffer1
File size: 4958 byte(s)
Log Message:
Add finance category.

Add wmstock which allows you to track stocks in a windowmaker docapp.

File Contents

# Content
1 # $MidnightBSD: mports/Makefile,v 1.33 2007/04/05 00:41:03 laffer1 Exp $
2 #
3
4 SUBDIR += accessibility
5 SUBDIR += archivers
6 SUBDIR += astro
7 SUBDIR += audio
8 SUBDIR += benchmarks
9 SUBDIR += comms
10 SUBDIR += converters
11 SUBDIR += databases
12 SUBDIR += deskutils
13 SUBDIR += devel
14 SUBDIR += dns
15 SUBDIR += editors
16 SUBDIR += emulators
17 SUBDIR += finance
18 SUBDIR += ftp
19 SUBDIR += games
20 SUBDIR += german
21 SUBDIR += graphics
22 SUBDIR += irc
23 SUBDIR += java
24 SUBDIR += lang
25 SUBDIR += mail
26 SUBDIR += math
27 SUBDIR += mbone
28 SUBDIR += misc
29 SUBDIR += multimedia
30 SUBDIR += net
31 SUBDIR += net-im
32 SUBDIR += net-mgmt
33 SUBDIR += net-p2p
34 SUBDIR += news
35 SUBDIR += palm
36 SUBDIR += ports-mgmt
37 SUBDIR += print
38 SUBDIR += security
39 SUBDIR += shells
40 SUBDIR += sysutils
41 SUBDIR += textproc
42 SUBDIR += www
43 SUBDIR += x11
44 SUBDIR += x11-clocks
45 SUBDIR += x11-fonts
46 SUBDIR += x11-fm
47 SUBDIR += x11-servers
48 SUBDIR += x11-themes
49 SUBDIR += x11-toolkits
50 SUBDIR += x11-wm
51
52 PORTSTOP= yes
53
54 .include <bsd.port.subdir.mk>
55
56 index:
57 @rm -f ${INDEXDIR}/${INDEXFILE}
58 @cd ${.CURDIR} && make ${INDEXDIR}/${INDEXFILE}
59
60 fetchindex: ${INDEXDIR}/{INDEXFILE}.bz2
61 @bunzip2 < ${INDEXDIR}/${INDEXFILE}.bz2 > ${INDEXDIR}/${INDEXFILE} && \
62 chmod a+r ${INDEXDIR}/${INDEXFILE}
63
64 ${INDEXDIR}/{INDEXFILE}.bz2: .PHONY
65 @${FETCHINDEX} ${INDEXDIR}/${INDEXFILE}.bz2 ${MASTER_SITE_INDEX}${INDEXFILE}.bz2
66
67 MASTER_SITE_INDEX?= http://www.MidnightBSD.org/ports/
68 SETENV?= /usr/bin/env
69 FETCHINDEX?= ${SETENV} ${FETCH_ENV} fetch -am -o
70 INDEX_JOBS?= 2
71
72 .if !defined(INDEX_VERBOSE)
73 INDEX_ECHO_MSG= echo > /dev/null
74 INDEX_ECHO_1ST= echo -n
75 .else
76 INDEX_ECHO_MSG= echo 1>&2
77 INDEX_ECHO_1ST= echo
78 .endif
79
80 ${INDEXDIR}/${INDEXFILE}:
81 @${INDEX_ECHO_1ST} "Generating ${INDEXFILE} - please wait.."; \
82 if [ "${INDEX_PRISTINE}" != "" ]; then \
83 export LOCALBASE=/nonexistentlocal; \
84 export X11BASE=/nonexistentx; \
85 fi; \
86 tmpdir=`/usr/bin/mktemp -d -t index` || exit 1; \
87 trap "rm -rf $${tmpdir}; exit 1" 1 2 3 5 10 13 15; \
88 ( cd ${.CURDIR} && make -j${INDEX_JOBS} INDEX_TMPDIR=$${tmpdir} BUILDING_INDEX=1 \
89 ECHO_MSG="${INDEX_ECHO_MSG}" describe ) || \
90 (rm -rf $${tmpdir} ; \
91 if [ "${INDEX_QUIET}" = "" ]; then \
92 echo; \
93 echo "********************************************************************"; \
94 echo "Before reporting this error, verify that you are running a supported"; \
95 echo "version of MidnightBSD (see http://www.MidnightBSD.org/ports/) and that you"; \
96 echo "have a complete and up-to-date ports collection. (INDEX builds are"; \
97 echo "not supported with partial or out-of-date ports collections -- in"; \
98 echo "particular, if you are using cvsup, you must cvsup the \"ports-all\""; \
99 echo "collection, and have no \"refuse\" files.) If that is the case, then"; \
100 echo "report the failure to ports@MidnightBSD.org together with relevant"; \
101 echo "details of your ports configuration (including MidnightBSD version,"; \
102 echo "your architecture, your environment, and your /etc/make.conf"; \
103 echo "settings, especially compiler flags and WITH/WITHOUT settings)."; \
104 echo; \
105 echo "Note: the latest pre-generated version of INDEX may be fetched"; \
106 echo "automatically with \"make fetchindex\"."; \
107 echo "********************************************************************"; \
108 echo; \
109 fi; \
110 exit 1); \
111 cat $${tmpdir}/${INDEXFILE}.desc.* | (cd ${.CURDIR} ; perl ${.CURDIR}/Tools/make_index) | \
112 sed -e 's/ */ /g' -e 's/| */|/g' -e 's/ *|/|/g' -e 's./..g' | \
113 sort -t '|' +1 -2 | \
114 sed -e 's../.g' > ${INDEXDIR}/${INDEXFILE}.tmp; \
115 if [ "${INDEX_PRISTINE}" != "" ]; then \
116 sed -e "s,$${LOCALBASE},/usr/local," -e "s,$${X11BASE},/usr/X11R6," \
117 ${INDEXDIR}/${INDEXFILE}.tmp > ${INDEXDIR}/${INDEXFILE}; \
118 else \
119 mv ${INDEXDIR}/${INDEXFILE}.tmp ${INDEXDIR}/${INDEXFILE}; \
120 fi; \
121 rm -rf $${tmpdir}; \
122 echo " Done."
123
124 print-index: ${INDEXDIR}/${INDEXFILE}
125 @awk -F\| '{ printf("Port:\t%s\nPath:\t%s\nInfo:\t%s\nMaint:\t%s\nIndex:\t%s\nB-deps:\t%s\nR-deps:\t%s\nE-deps:\t%s\nP-deps:\t%s\nF-deps:\t%s\nWWW:\t%s\n\n", $$1, $$2, $$4, $$6, $$7, $$8, $$9, $$11, $$12, $$13, $$10); }' < ${INDEXDIR}/${INDEXFILE}
126
127 CVS?= cvs
128 SUP?= csup
129 .if defined(SUPHOST)
130 SUPFLAGS+= -h ${SUPHOST}
131 .endif
132 update:
133 .if defined(SUP_UPDATE) && defined(PORTSSUPFILE)
134 @echo "--------------------------------------------------------------"
135 @echo ">>> Running ${SUP}"
136 @echo "--------------------------------------------------------------"
137 @${SUP} ${SUPFLAGS} ${PORTSSUPFILE}
138 .elif defined(CVS_UPDATE)
139 @echo "--------------------------------------------------------------"
140 @echo ">>> Updating ${.CURDIR} from cvs repository" ${CVSROOT}
141 @echo "--------------------------------------------------------------"
142 cd ${.CURDIR}; ${CVS} -R -q update -A -P -d -I!
143 .elif defined(SUP_UPDATE) && !defined(PORTSSUPFILE)
144 @${ECHO_MSG} "Error: Please define PORTSSUPFILE before doing make update."
145 @exit 1
146 .else
147 @${ECHO_MSG} "Error: Please define either PORTSNAP_UPDATE, SUP_UPDATE, or CVS_UPDATE first."
148 .endif

Properties

Name Value
cvs2svn:cvs-rev 1.34